## gst-av 0.5

=== Makefile ===
CC := $(CROSS_COMPILE)gcc

CFLAGS := -O2 -ggdb -Wall -Wextra -Wno-unused-parameter -ansi -std=c99
LDFLAGS := -Wl,--no-undefined -Wl,--as-needed

override CFLAGS += -D_GNU_SOURCE -DGST_DISABLE_DEPRECATED

GST_CFLAGS := $(shell pkg-config --cflags gstreamer-0.10 gstreamer-tag-0.10)
GST_LIBS := $(shell pkg-config --libs gstreamer-0.10 gstreamer-tag-0.10)

AVCODEC_DIR := $(shell pkg-config --variable=prefix libavcodec)
AVCODEC_CFLAGS := $(shell pkg-config --cflags libavcodec libavutil)
AVCODEC_LIBS := -pthread $(AVCODEC_DIR)/lib/libavcodec.a $(AVCODEC_DIR)/lib/libavutil.a -lm

all:

version := $(shell ./get-version)
prefix := /usr

D = $(DESTDIR)

# plugin

gst_plugin := libgstav.so

$(gst_plugin): plugin.o gstav_adec.o gstav_vdec.o
$(gst_plugin): override CFLAGS += -fPIC $(GST_CFLAGS) $(AVCODEC_CFLAGS) -D VERSION='"$(version)"'
$(gst_plugin): override LIBS += $(GST_LIBS) $(AVCODEC_LIBS)

targets += $(gst_plugin)

all: $(targets)

# pretty print
ifndef V
QUIET_CC    = @echo '   CC         '$@;
QUIET_LINK  = @echo '   LINK       '$@;
QUIET_CLEAN = @echo '   CLEAN      '$@;
endif

install: $(targets)
	install -m 755 -D libgstav.so $(D)$(prefix)/lib/gstreamer-0.10/libgstav.so

%.o:: %.c
	$(QUIET_CC)$(CC) $(CFLAGS) -MMD -o $@ -c $<

%.so::
	$(QUIET_LINK)$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

clean:
	$(QUIET_CLEAN)$(RM) -v $(targets) *.o *.d

-include *.d

=== debian/changelog ===
gst-av (0.5) fremantle; urgency=low

  * Initial release.

 -- Felipe Contreras <felipe.contreras@gmail.com>  Wed, 04 May 2011 03:14:23 +0300

=== debian/control ===
Source: gst-av
Section: libs
Priority: optional
Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
Build-Depends: debhelper (>= 5), libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev,
  libavutil-mini-dev, libavcodec-mini-dev
Standards-Version: 3.9.1

Package: gstreamer0.10-av
Architecture: armel
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GStreamer plug-in for libav.

Package: gstreamer0.10-av-dbg
Section: debug
Priority: extra
Architecture: armel
Depends: ${misc:Depends}, gstreamer0.10-av (= ${binary:Version})
Description: Debug symbols for gst-av.

## gst-av 0.5-1

=== debian/changelog ===
gst-av (0.5-1) fremantle; urgency=low

  * Disable existing codecs
  * Add vp8 video codec

 -- Felipe Contreras <felipe.contreras@gmail.com>  Wed, 04 May 2011 16:40:28 +0300

## gst-av 0.5-2

=== debian/changelog ===
gst-av (0.5-2) fremantle; urgency=low

  * Fix buffer overwrites

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 07 May 2011 22:17:44 +0300

## gst-av 0.5-3

=== debian/changelog ===
gst-av (0.5-3) fremantle; urgency=low

  * Don't override mp3 decoder

 -- Felipe Contreras <felipe.contreras@gmail.com>  Thu, 19 May 2011 13:15:03 +0300

## gst-av 0.5-4

=== debian/changelog ===
gst-av (0.5-4) fremantle; urgency=low

  * Possible bugfix for upstream flacparse

 -- Felipe Contreras <felipe.contreras@gmail.com>  Thu, 19 May 2011 21:31:11 +0300

## gst-av 0.5-5

=== debian/changelog ===
gst-av (0.5-5) fremantle; urgency=low

  * Fix regression in flac decoder
  * Remove video encoders

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 23 May 2011 17:00:09 +0300

=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

build:
	dh_testdir
	echo $(DEB_VERSION) > .version
	$(MAKE) V=1

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) V=1 install DESTDIR=$(CURDIR)/debian/tmp

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_install --sourcedir=debian/tmp -a
	dh_installdocs -a
	dh_link -a
	dh_strip --dbg-package=gstreamer0.10-av-dbg -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:

binary: binary-arch binary-indep

clean:
	dh_testdir
	$(MAKE) V=1 clean
	dh_clean

.PHONY: build install binary-arch binary-indep binary clean

## gst-av 0.5-6

=== debian/changelog ===
gst-av (0.5-6) fremantle; urgency=low

  * Fake update to rebuild against libav-mini 0.7b2

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 23 May 2011 17:12:59 +0300

## gst-av 0.5.2

=== debian/changelog ===
gst-av (0.5.2) fremantle; urgency=low

  * Improvements for streaming

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 04 Jun 2011 06:16:25 +0300

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 5), libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev,
   libavutil-mini-dev, libavcodec-mini-dev
 Standards-Version: 3.9.1
+XSBC-Bugtracker: http://code.google.com/p/gst-av/issues/
 
 Package: gstreamer0.10-av
 Architecture: armel

## gst-av 0.5.2-1

=== debian/changelog ===
gst-av (0.5.2-1) fremantle; urgency=low

  * Maemo-optify

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 04 Jun 2011 08:42:52 +0300

## gst-av 0.5.2-2

=== debian/changelog ===
gst-av (0.5.2-2) fremantle; urgency=low

  * Fix issue with 24-bit FLAC (and others)

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 04 Jun 2011 12:07:12 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
 Build-Depends: debhelper (>= 5), libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev,
-  libavutil-mini-dev, libavcodec-mini-dev
+  libavutil-mini-dev, libavcodec-mini-dev, maemo-optify
 Standards-Version: 3.9.1
 XSBC-Bugtracker: http://code.google.com/p/gst-av/issues/

## gst-av 0.5.3-1

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,8 @@
 
 gst_plugin := libgstav.so
 
-$(gst_plugin): plugin.o gstav_adec.o gstav_vdec.o
+$(gst_plugin): plugin.o gstav_adec.o gstav_vdec.o gstav_venc.o \
+	gstav_h263enc.o gstav_h264enc.o gstav_parse.o
 $(gst_plugin): override CFLAGS += -fPIC $(GST_CFLAGS) $(AVCODEC_CFLAGS) -D VERSION='"$(version)"'
 $(gst_plugin): override LIBS += $(GST_LIBS) $(AVCODEC_LIBS)
 
@@ -50,4 +51,14 @@
 clean:
 	$(QUIET_CLEAN)$(RM) -v $(targets) *.o *.d
 
+dist: base := gst-av-$(version)
+dist:
+	git archive --format=tar --prefix=$(base)/ HEAD > /tmp/$(base).tar
+	mkdir -p $(base)
+	echo $(version) > $(base)/.version
+	chmod 664 $(base)/.version
+	tar --append -f /tmp/$(base).tar --owner root --group root $(base)/.version
+	rm -r $(base)
+	gzip /tmp/$(base).tar
+
 -include *.d

=== debian/changelog ===
gst-av (0.5.3-1) fremantle; urgency=low

  * Fix issue with short clips (< 1s)
  * Fix timestamp resync

 -- Felipe Contreras <felipe.contreras@gmail.com>  Fri, 15 Jul 2011 18:49:12 +0300

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
+	maemo-optify
 	dh_md5sums -a
 	dh_builddeb -a
